#pragma once
#include <avr/io.h>


#define LCD_Dir  DDRA			/* Define LCD data port direction */
#define LCD_DDR  DDRA			/* Define LCD data port direction */
#define LCD_Port PORTA			/* Define LCD data port */
#define LCD_Port PORTA			/* Define LCD data port */
#define LCD_RS PA2				/* Define Register Select pin */
#define LCD_EN PA3 				/* Define Enable signal pin */
 

namespace lcd {
    void command(unsigned char cmnd);
    void put(unsigned char data);
    void init();
    void string(char *str);
    void string_xy (char row, char pos, char *str);
    void clear();	

    
} // namespace lcd
